package net.sf.twip.util;

import java.lang.annotation.Annotation;
import java.lang.reflect.*;
import java.util.*;

/**
 * @see Parameter
 */
class ConstructorParameter extends Parameter {

	public static List<Parameter> of(Constructor<?> constructor) {
		final List<Parameter> list = new ArrayList<Parameter>();
		for (int i = 0; i < constructor.getParameterTypes().length; i++) {
			list.add(new ConstructorParameter(constructor, i));
		}
		return Collections.unmodifiableList(list);
	}

	private final Constructor<?> constructor;

	public ConstructorParameter(Constructor<?> constructor, int index) {
		super(index);
		this.constructor = constructor;
	}

	@Override
	public Annotation[] getAnnotations() {
		return constructor.getParameterAnnotations()[index];
	}

	@Override
	public Method getMethod() {
		throw new UnsupportedOperationException();
	}

	@Override
	public Class<?> getType() {
		return constructor.getParameterTypes()[index];
	}
}
