package net.sf.twip.util;

import java.lang.annotation.Annotation;
import java.lang.reflect.Method;
import java.util.*;

/**
 * @see Parameter
 */
class MethodParameter extends Parameter {

	public static List<Parameter> of(Method method) {
		final List<Parameter> list = new ArrayList<Parameter>();
		for (int i = 0; i < method.getParameterTypes().length; i++) {
			list.add(new MethodParameter(method, i));
		}
		return Collections.unmodifiableList(list);
	}

	private final Method method;

	public MethodParameter(Method method, int index) {
		super(index);
		this.method = method;
	}

	@Override
	public Annotation[] getAnnotations() {
		return method.getParameterAnnotations()[index];
	}

	@Override
	public Class<?> getType() {
		return method.getParameterTypes()[index];
	}

	@Override
	public Method getMethod() {
		return method;
	}
}
